clang-tools 10.0.0

Public Member Functions | List of all members
clang::clangd::Semaphore Class Reference

Limits the number of threads that can acquire the lock at the same time. More...

`#include <Threading.h>`

## Public Member Functions
| Semaphore (std::size_t MaxLocks)
bool | try_lock ()
void | lock ()
void | unlock ()

## Detailed Description

Limits the number of threads that can acquire the lock at the same time.

Definition at line 41 of file Threading.h.

## Constructor & Destructor Documentation

## ◆ Semaphore()

clang::clangd::Semaphore::Semaphore | ( | std::size_t | MaxLocks | ) |

Definition at line 32 of file Threading.cpp.

## Member Function Documentation

## ◆ lock()

void clang::clangd::Semaphore::lock | ( |  | ) |

Definition at line 43 of file Threading.cpp.

## ◆ try_lock()

bool clang::clangd::Semaphore::try_lock | ( |  | ) |

Definition at line 34 of file Threading.cpp.

## ◆ unlock()

void clang::clangd::Semaphore::unlock | ( |  | ) |

Definition at line 54 of file Threading.cpp.

The documentation for this class was generated from the following files:

- Threading.h
- Threading.cpp